<?
include_once '../core/system.php';
echo only_reg();
$header = 'Создание Замка';
include_once '../core/head.php';
switch($act) {
case 'post':
if(isset($_POST['name'])){
$name = check($_POST['name']);
if(strlen($name) < 3 or strlen($name) > 40) $err =  'Длина названия замка должна быть в пределах 3 - 40 символов';
if($user[gold] < 100) $err =  'Нужно 100 золота!';
if(!isset($err)) {
mysql_query("INSERT INTO `zamok` SET `name` = '$name', `param` = '1000', `id_user` = '$user[id]'");
mysql_query("UPDATE `user` SET `gold` = '".($user['gold']-100)."' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: index.php');
$_SESSION['message'] = 'Замок создан!';
exit();
}else{
header('Location: ?');
$_SESSION['err'] = $err;
// Вывод ошибки 
exit();
} 
}else{
header('Location: ?');
$_SESSION['err'] = 'Введите текст';
exit();
}
break;
default:
echo '<form class="player center" method="post" action="?act=post">
Название крепости: <br><input type="text" class="text medium-text" name="name" /><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Создать">Создать</span></span><br />
<span class="grey">Цена: <img src="/images/icon/gold.png"> 100 золота</span></form>';
}
include_once '../core/foot.php';
?>